chewi       15/03/17 22:21:32

  Modified:             ecj-gcj-4.4.2.ebuild ChangeLog
  Log:
  Turns out gcj does support @Override annotations if you specify
  -fsource=1.6. Why don't we install the gcj man page? :(
  
  (Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 
9C6D7DE4)

Revision  Changes    Path
1.2                  dev-java/ecj-gcj/ecj-gcj-4.4.2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/ecj-gcj/ecj-gcj-4.4.2.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/ecj-gcj/ecj-gcj-4.4.2.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/ecj-gcj/ecj-gcj-4.4.2.ebuild?r1=1.1&r2=1.2

Index: ecj-gcj-4.4.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-java/ecj-gcj/ecj-gcj-4.4.2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- ecj-gcj-4.4.2.ebuild        17 Mar 2015 12:30:29 -0000      1.1
+++ ecj-gcj-4.4.2.ebuild        17 Mar 2015 22:21:32 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/ecj-gcj/ecj-gcj-4.4.2.ebuild,v 1.1 
2015/03/17 12:30:29 chewi Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/ecj-gcj/ecj-gcj-4.4.2.ebuild,v 1.2 
2015/03/17 22:21:32 chewi Exp $
 
 EAPI=5
 
@@ -40,20 +40,16 @@
 
        # these java6 specific classes cannot compile with gcj
        rm -r org/eclipse/jdt/internal/compiler/{apt,tool}/ || die
-
-       # Strip Java 6 annotations that gcj doesn't support
-       # Put these modifications in bootstrap and build a sources list
-       find org/ -name "*.java" -print -exec sh -c "mkdir -p \$(dirname 
bootstrap/{}) && sed '/^\s*@Override\s*$/d' {} > bootstrap/{}" \; > sources.lst 
|| die
 }
 
 src_compile() {
        local gccbin=$(gcc-config -B)
        local gcj="${gccbin}/gcj"
 
+       find org/ -name "*.java" > sources.lst || die
+
        einfo "bootstrapping ${MY_PN} with gcj ..."
-       cd bootstrap || die
-       "${gcj}" -w -C @../sources.lst || die
-       cd .. || die
+       "${gcj}" -w -C -fsource=${JAVA_PKG_WANT_SOURCE} -d bootstrap 
@sources.lst || die
 
        einfo "building ${MY_PN} with bootstrapped ${MY_PN} ..."
        "${gccbin}/gij" -cp bootstrap:. 
org.eclipse.jdt.internal.compiler.batch.Main -nowarn $(java-pkg_javac-args) 
@sources.lst || die



1.9                  dev-java/ecj-gcj/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/ecj-gcj/ChangeLog?rev=1.9&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/ecj-gcj/ChangeLog?rev=1.9&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-java/ecj-gcj/ChangeLog?r1=1.8&r2=1.9

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-java/ecj-gcj/ChangeLog,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- ChangeLog   17 Mar 2015 12:30:29 -0000      1.8
+++ ChangeLog   17 Mar 2015 22:21:32 -0000      1.9
@@ -1,6 +1,10 @@
 # ChangeLog for dev-java/ecj-gcj
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/ecj-gcj/ChangeLog,v 1.8 2015/03/17 
12:30:29 chewi Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/ecj-gcj/ChangeLog,v 1.9 2015/03/17 
22:21:32 chewi Exp $
+
+  17 Mar 2015; James Le Cuirot <ch...@gentoo.org> ecj-gcj-4.4.2.ebuild:
+  Turns out gcj does support @Override annotations if you specify -fsource=1.6.
+  Why don't we install the gcj man page? :(
 
 *ecj-gcj-4.4.2 (17 Mar 2015)
 




Reply via email to